# $Revision: 1.25 $, $Date: 2008-02-21 18:54:22 $
%define		_modname	http
%define		_fmodname	pecl_http
%define		_status		stable
%define		_sysconfdir	/etc/php4
%define		extensionsdir	%(php-config --extension-dir 2>/dev/null)
Summary:	%{_modname} - extended HTTP support
Summary(pl.UTF-8):	%{_modname} - rozszerzona obsługa protokołu HTTP
Name:		php4-pecl-%{_modname}
Version:	1.3.3
Release:	3
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_fmodname}-%{version}.tgz
# Source0-md5:	96c16435936eab288d5fdd5750e3f863
URL:		http://pecl.php.net/package/pecl_http/
BuildRequires:	php4-devel >= 3:4.3.0
BuildRequires:	rpmbuild(macros) >= 1.344
Requires:	php4-common >= 3:4.4.0-3
Obsoletes:	php-pear-%{_modname}
%{?requires_php_extension}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This HTTP extension aims to provide a convenient and powerful set of
functionality for one of PHPs major applications.

It eases handling of HTTP urls, dates, redirects, headers and
messages, provides means for negotiation of clients preferred language
and charset, as well as a convenient way to send any arbitrary data
with caching and resuming capabilities.

It provides powerful request functionality, if built with CURL
support. Parallel requests are available for PHP 5 and greater.

Currently implemented features include:
- Building absolute URIs
- RFC compliant HTTP redirects
- RFC compliant HTTP date handling
- Parsing of HTTP headers and messages
- Caching by "Last-Modified" and/or ETag (with 'on the fly' option for
  ETag generation from buffered output)
- Sending data/files/streams with (multiple) ranges support
- Negotiating user preferred language/charset
- Convenient request functions to HEAD/GET/POST if libcurl is
  available
- HTTP auth hooks (Basic)
- PHP5 classes: HttpUtil, HttpResponse, HttpRequest, HttpRequestPool,
  HttpMessage

In PECL status of this extension is: %{_status}.

%description -l pl.UTF-8
To rozszerzenie HTTP ma na celu dostarczenie wygodnego i potężnego
zestawu funkcjonalności do jednego z najważniejszych zastosowań PHP.

Ułatwia obsługę adresów HTTP, dat, przekierowań, nagłówków i
wiadmości, dostarcza sposób do negocjacji preferowanego języka i
strony kodowej klienta, jak również wygodnego sposobu wysyłania
dowolnego rodzaju danych z możliwością keszowania oraz wznawiania
transferów.

Rozszerzenie dostracza potężne możliwości zapytań, jeśli zbudowane
jest ze wsparciem dla CURL. Równoległe zapytania są dostępne od wersji
PHP 5.

Aktualnie zaimplementowane możliwości to między innymi:
- tworzenie bezwzględnych URI
- zgodne z RFC przekierowania HTTP
- zgodna z RFC obsługa daty HTTP
- przetwarzanie nagłówków i wiadomości HTTP
- buforowanie z użyciem "Last-Modified" i/lub ETagów (z opcję
  generowania "w locie" ETagów z buforowanego wyjścia)
- wysyłanie danych/plików/strumieni z obsługą (wielu) przedziałów
- negocjacja preferowanego przez użytkownika języka/zestawu znaków
- wygodne funkcje do żądań HEAD/GET/POST jeśli dostępna jest libcurl
- wywołania HTTP auth (Basic)
- klasy PHP5: HttpUtil, HttpResponse, HttpRequest, HttpRequestPool,
  HttpMessage

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_fmodname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/conf.d,%{extensionsdir}}

install %{_fmodname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{extensionsdir}/%{_modname}.so
cat <<'EOF' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php4_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php4_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc %{_fmodname}-%{version}/{KnownIssues.txt,docs}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{extensionsdir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php4-pecl-http.spec,v $
Revision 1.25  2008-02-21 18:54:22  glen
- release 3

Revision 1.24  2008-01-24 11:21:22  glen
- use %php4_webserver_restart; unify

Revision 1.23  2008-01-24 02:44:40  glen
- use %php4_webserver_restart macro

Revision 1.22  2007-02-13 08:06:40  glen
- tabs in preamble

Revision 1.21  2007/02/12 01:06:26  baggins
- converted to UTF-8

Revision 1.20  2006/11/28 11:19:56  adamg
- mhash-devel is not required to build pecl-http

Revision 1.19  2006/11/28 11:15:54  adamg
- updated to 1.3.3

Revision 1.18  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.17  2006/09/02 22:11:35  adamg
- updated to 1.2.1

Revision 1.16  2006/07/17 22:50:21  adamg
- updated to 1.1.0

Revision 1.15  2006/06/27 20:30:06  qboosh
- pl fixes

Revision 1.14  2006/06/26 14:09:22  adamg
- updated to 1.0.1
- proper License
- extended description

Revision 1.13  2005/11/19 20:18:55  adamg
- updated to 0.18.1

Revision 1.12  2005/10/30 10:25:24  glen
- rebuild with zts and debug requires

Revision 1.11  2005/10/27 15:22:31  glen
- rebuild with php(debug) and php(thread-safety) macros
- rel 5

Revision 1.10  2005/09/15 20:15:13  glen
- rel 4

Revision 1.9  2005/09/13 23:18:36  glen
- workaround for spec parser having macro undefined yet and not seeing BR

Revision 1.8  2005/09/13 21:11:08  glen
- use new php/zend api macros

Revision 1.7  2005/09/12 12:36:19  glen
- ./adapter -s

Revision 1.6  2005/09/11 22:27:03  glen
- typo in php-config, rel 3

Revision 1.5  2005/09/11 22:03:28  glen
- full conf.d support and unifications

Revision 1.4  2005/09/10 21:21:43  adamg
- updated to 0.13.0

Revision 1.3  2005/08/26 16:14:52  adamg
- move %define calls to the top of the file

Revision 1.2  2005/08/26 15:52:28  adamg
- updated to 0.12.0
- switched to conf.d

Revision 1.1  2005/07/27 07:04:39  adamg
- new (cp from php-pecl-http)

Revision 1.7  2005/07/27 06:59:16  adamg
- updated to 0.10.1

Revision 1.6  2005/03/27 01:22:14  adamg
- updated to 0.7.0

Revision 1.5  2005/03/20 18:58:57  adamg
- updated to 0.6.1

Revision 1.4  2005/02/25 18:46:31  adamg
- updated to 0.5.1

Revision 1.3  2005/02/20 19:10:50  qboosh
- pl

Revision 1.2  2005/02/20 08:01:51  adamg
- updated to 0.5.0
- extended description a bit
- license fix

Revision 1.1  2005/02/19 20:11:57  adamg
- new
